## /inc/caldav-MOVE.php

Description

CalDAV Server - handle MOVE method

- author: Andrew McMillan <andrew@morphoss.com>
- copyright: Morphoss Ltd
- license: GNU GPL v2

Includes
require_once ('DAVResource.php') (line 13)
Functions
rollback (line 92)

RFC2068, 14.25: If none of the entity tags match, or if "*" is given and no current entity exists, the server MUST NOT perform the requested method, and MUST return a 412 (Precondition Failed) response.

RFC2068, 14.26: If any of the entity tags match the entity tag of the entity that would have been returned in the response to a similar GET request (without the If-None-Match header) on that resource, or if "*" is given and any current entity exists for that resource, then the server MUST NOT perform the requested method.

void rollback ([ $response_code = 412])

- $response_code

Documentation generated on Wed, 04 Jul 2012 10:13:06 +0000 by phpDocumentor 1.4.3